Skip to main content

Test endpoint for verifying integration

POST 

/test-tips-submission

This endpoint exists to facilitate integration testing between customers and Vantor when they first start using the tipping API.

Usage

The request and response payloads are identical to that accepted by the "submit-tips" endpoint, as is the synchronous response payload. This allows a customer to submit a test tip and verify that it is formatted correctly and will be accepted by Vantor.

If one or more of the submitted tips are valid, the following workflow is kicked off.

  • One of the valid tips is selected for further processing
    • A No_Orders_Possible callback is sent for any other valid tips in the submission.
  • For that chosen valid tip, a random number of vehicles are identified as having geometric access to the target
    • If the submitted tip limits the possible vehicles, then that limitation is respected; otherwise, the full constellation is considered.
    • If the number of vehicles randomly selected to have access is 0, then a No_Orders_Possible callback is sent for that tip and the workflow ends.
    • If 1 or more vehicles have access, then a simulated order is generated for the tip for each vehicle and an Order_Placed callback is sent for each
  • One of the simulated orders is randomly selected as receiving a successful collection and an Inventory_Collected callback is sent in the context of that order for an image strip from the applicable vehicle
  • If the submitted tip specified "deliverFullStrip" in the exploitation section, then the full strip tiles are staged in S3 and the Full_Strip_Available callback is sent
  • The vessel detect products are staged in S3 and the Products_Avaialable callback is sent for that image strip

Notes

  • The behavior of many aspects is truly randomized. Submitting the same tip multiple times may lead to different outcomes as to whether any vehicles are deemed to have access and/or which vehicle is chosen to do the simulated image strip collection.
  • The determination of access for a vehicle to a tip is completely arbitrary and not based on actual satellite ephemeris
  • The image strip that is delivered is from the same vehicle as specified in the chosen order, and the metadata has been adjusted to align in time and space with that order
  • The various steps in the workflow are separated by just a few seconds to make integration testing fast, which is significantly faster than the normal hours-long process between tip submission to order generation to image collection to product availability. The intent for this integration testing capability is just to have the various callbacks arrive in the correct order without any wasted time between them.

Responses